0

My 32-bit atom-based netbook was running lubuntu 16.04 LTS. I just installed lubuntu 18.04.1 LTS from scratch (ie not upgrade from 16.04). The installation went well and I was able to apt-get install additional softwares afterwards, including emacs and vlc. However, when I installed texlive-latex plus other related packages (fonts etc) I got the dreaded "unable to fetch some archives" errors. I used synaptic to purge all the texlive related file and started again, to no avail. I'm baffled; your advice are most welcome. THANKS YOU!

I've appended below the error message, but first: I'm not sure this is a latex-specific issue. I actually installed lubuntu 18.04.1 twice on this machine. The first time I did a minimal install to try to install lubuntu-core only. But after the initial text-based install, I was not able to run

apt-get install lubuntu-core

I ran into massive "unable to fetch some archives" issue. I thought there might be something weird going on with the minimal install, so I started from scratch again and redid the installation, this time using the regular lubuntu iso. I did click the basic option instead of the full install.

Here's the error message (I already used sudo apt update/sudo apt upgrade --fixed-missing multiple times; I also ran the --fix-broken install command several times over a 24 hours period in case there were server issue, but to no avail).

mymachine:~> sudo apt --fix-broken install

Reading package lists... Done

Building dependency tree

Reading state information... Done

Correcting dependencies... Done

The following additional packages will be installed:

fonts-gfs-baskerville fonts-gfs-porson fonts-lmodern texlive-fonts-recommended

Suggested packages: texlive-fonts-recommended-doc

The following NEW packages will be installed: fonts-gfs-baskerville fonts-gfs-porson fonts-lmodern texlive-fonts-recommended 0 upgraded, 4 newly installed, 0 to remove and 1 not upgraded. 11 not fully installed or removed. Need to get 9,891 kB of archives. After this operation, 29.9 MB of additional disk space will be used. Do you want to continue? [Y/n] y

Err:1 http://us.archive.ubuntu.com/ubuntu bionic/main i386 fonts-lmodern all 2.004.5-3 Connection failed [IP: 91.189.91.26 80] Err:2 http://us.archive.ubuntu.com/ubuntu bionic/universe i386 fonts-gfs-baskerville all 1.1-5 Connection failed [IP: 91.189.91.26 80] Err:3 http://us.archive.ubuntu.com/ubuntu bionic/universe i386 fonts-gfs-porson all 1.1-6 Connection failed [IP: 91.189.91.26 80] Err:4 http://us.archive.ubuntu.com/ubuntu bionic/universe i386 texlive-fonts-recommended all 2017.20180305-1 Connection failed [IP: 91.189.91.26 80] E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/l/lmodern/fonts-lmodern_2.004.5-3_all.deb Connection failed [IP: 91.189.91.26 80] E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/universe/f/fonts-gfs-baskerville/fonts-gfs-baskerville_1.1-5_all.deb Connection failed [IP: 91.189.91.26 80] E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/universe/f/fonts-gfs-porson/fonts-gfs-porson_1.1-6_all.deb Connection failed [IP: 91.189.91.26 80] E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/universe/t/texlive-base/texlive-fonts-recommended_2017.20180305-1_all.deb Connection failed [IP: 91.189.91.26 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

mymachine:~>

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.